<ng-container *appVar="(userProfile$ | async) as userProfile">
  <ng-container *ngIf="!isNil(userProfile)">
    <mat-toolbar>
      <div class="section section-bonuses">
        <div class="section-title text-secondary body-1">
          Баллы
        </div>

        <div class="section-value">
          {{userProfile.bonusCount }}

          <mat-icon [svgIcon]="BasicSvgIcon.Tree"></mat-icon>
        </div>
      </div>

      <div class="spacer"></div>

      <div *ngIf="!isNil(userProfile.user)"
           class="user-wrapper"
           (click)="userInfoClick.emit()"
      >
        <div class="avatar">
          {{getInitials(userProfile.user.lastName, userProfile.user.firstName)}}
        </div>

        <div class="section section-user"
        >
          <div class="body-1">
            <span>{{ userProfile.user.lastName }} </span>
            <span>{{ userProfile.user.firstName[0] }}. </span>
            <span>{{ userProfile.user.middleName[0] }}. </span>
          </div>

          <div class="body-2 text-secondary">
            <span>{{ userProfile.user.lastName }} </span>
            <span>{{ userProfile.user.firstName }} </span>
            <span>{{ userProfile.user.middleName }} </span>
          </div>

          <div class="body-2 text-secondary">
            {{ userProfile.user.inn }}
          </div>
        </div>
      </div>
    </mat-toolbar>
  </ng-container>
</ng-container>
